package routers

import (
	"github.com/gin-gonic/gin"
	"project_management/app/controller"
)

func ApplyRouter(r *gin.Engine) {
	group := r.Group("/api")
	group.POST("/apply", controller.AddApply)
	group.POST("/applyall", controller.GetApplyList)
	group.POST("/applystate", controller.GetApplyState)
	group.PUT("/apply", controller.UserUpdateApply)
	group.PUT("/applycap", controller.ApplyAddCap)
}
